Name:          python-babel
Version:       2.6.0
Release:       3mamba
Summary:       Library for internationalizing Python applications
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://babel.edgewall.org/
Source:        https://pypi.debian.net/Babel/Babel-%{version}.tar.gz
#Source:        http://ftp.edgewall.com/pub/babel/Babel-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-setuptools
Provides:      python-babel-tool
Obsoletes:     python-babel-tool
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
Babel is a Python interface to the CLDR (Common Locale Data Repository), providing access to various locale display names, localized number and date formatting, etc.

%package tool
Summary:       A tool for internationalizing Python applications
Group:         Development/Languages
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tool
Tool to build and work with gettext message catalogs.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n Babel-%{version}

#chmod a-x babel/messages/frontend.py doc/logo.png doc/logo_small.png
sed -i -e '/^#!/,1d' babel/messages/frontend.py

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if 0%{?with_pyver}
mv %{buildroot}%{_bindir}/pybabel %{buildroot}%{_bindir}/pybabel-%{?pyappend}
sed -i "s|%{_bindir}/pybabel|%{_bindir}/pybabel-%{?pyappend}|" %{name}.filelist
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc AUTHORS LICENSE

%changelog
* Fri May 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-3mamba
- fix binary confict between py variants

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-2mamba
- rebuilt with py36 support

* Tue Jun 05 2018 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Fri Sep 15 2017 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Wed Aug 23 2017 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Mon Mar 27 2017 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Thu Oct 01 2015 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Mon Jul 27 2015 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Fri Nov 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-2mamba
- python 2.7 mass rebuild

* Sun Mar 20 2011 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic update by autodist

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.5-1mamba
- update to 0.9.5

* Sun Jan 31 2010 gil <puntogil@libero.it> 0.9.4-1mamba
- package created by autospec
